%define        apiver %(echo %version | cut -d. -f 1-2)
Name:          libmythes
Version:       1.2.5
Release:       1mamba
Summary:       A simple thesaurus library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hunspell.github.io/
Source:        https://github.com/hunspell/mythes.git/v%{version}/mythes-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/project/hunspell/MyThes/%{version}/mythes-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libhunspell-devel

%description
MyThes is a simple thesaurus that uses a structured text data file and an index file with binary search to look up words and phrases and return information on part of speech, meanings, and synonyms.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A thesaurus library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n mythes-%{version}
./autogen.sh

%build
%configure \
  --disable-rpath \
  --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/*.*a
mkdir -p %{buildroot}%{_datadir}/mythes

#% check
#./example th_en_US_new.idx th_en_US_new.dat checkme.lst
#./example morph.idx morph.dat morph.lst morph.aff morph.dic

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmythes-%{apiver}.so.*
%dir %{_datadir}/mythes
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/th_gen_idx.pl
%{_includedir}/mythes.hxx
%{_libdir}/libmythes-%{apiver}.so
%{_libdir}/pkgconfig/mythes.pc
%doc data_layout.txt
%doc README

%changelog
* Fri Dec 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-1mamba
- update to 1.2.5

* Sat Jun 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Apr 10 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.2.1-2mamba
- rebuilt

* Sat Jan 22 2011 gil <puntogil@libero.it> 1.2.1-1mamba
- package created by autospec
